## org.eclipse.datatools.sqltools.result.internal.export
Class OutputterRegistryReader

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.export.OutputterRegistryReader

    public class OutputterRegistryReader

extends java.lang.Object

The registry reader for result outputters

Author:
  Dafan Yang

Method Summary
`java.lang.String[]` `getFilterStrings(boolean supportXML)`
`static OutputterRegistryReader` `getInstance()`
`AbstractOutputter` `getOutputter(java.lang.String typeId)`
`IOutputterDescriptor` `getOutputterDesciptor(boolean supportXML, int index)` Once the outputter is loaded, the index wont change for a specific outputter
`java.lang.String[]` `getOutputterDspStrings(boolean supportXML)` Returns the outputter display strings
`java.util.List` `getOutputters()`
`java.util.List` `getOutputtersSupportXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static OutputterRegistryReader getInstance()

### getOutputters

    public java.util.List getOutputters()

### getOutputtersSupportXML

    public java.util.List getOutputtersSupportXML()

### getOutputter

    public AbstractOutputter getOutputter(java.lang.String typeId)

### getOutputterDesciptor

    public IOutputterDescriptor getOutputterDesciptor(boolean supportXML,
                                                      int index)

  Once the outputter is loaded, the index wont change for a specific outputter

  Parameters:
    `index` - the index of the outputter, based on 0
  Returns:

### getOutputterDspStrings

    public java.lang.String[] getOutputterDspStrings(boolean supportXML)

  Returns the outputter display strings

  Parameters:
    `supportXML` - returns outputters which support XML result set if `true` is given, otherwise returns all outputters
  Returns:
    the outputter display strings

### getFilterStrings

    public java.lang.String[] getFilterStrings(boolean supportXML)